Open CASCADE Technology: TColStd_DataMapOfStringInteger Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TColStd_DataMapOfStringInteger Class Reference

`#include <TColStd_DataMapOfStringInteger.hxx>`

Inheritance diagram for TColStd_DataMapOfStringInteger:
[legend]

## Public Member Functions
| TColStd_DataMapOfStringInteger (const Standard_Integer NbBuckets=1)
TColStd_DataMapOfStringInteger & | Assign (const TColStd_DataMapOfStringInteger &Other)
TColStd_DataMapOfStringInteger & | operator= (const TColStd_DataMapOfStringInteger &Other)
void | ReSize (const Standard_Integer NbBuckets)
void | Clear ()
| ~TColStd_DataMapOfStringInteger ()
Standard_Boolean | Bind (const TCollection_ExtendedString &K, const Standard_Integer &I)
Standard_Boolean | IsBound (const TCollection_ExtendedString &K) const
Standard_Boolean | UnBind (const TCollection_ExtendedString &K)
const Standard_Integer & | Find (const TCollection_ExtendedString &K) const
const Standard_Integer & | operator() (const TCollection_ExtendedString &K) const
Standard_Integer & | ChangeFind (const TCollection_ExtendedString &K)
Standard_Integer & | operator() (const TCollection_ExtendedString &K)
Standard_Address | Find1 (const TCollection_ExtendedString &K) const
Standard_Address | ChangeFind1 (const TCollection_ExtendedString &K)
Public Member Functions inherited from TCollection_BasicMap
Standard_Integer | NbBuckets () const
| Returns the number of buckets in <me>. More...
Standard_Integer | Extent () const
| Returns the number of keys already stored in <me>. More...
Standard_Boolean | IsEmpty () const
| Returns True when the map contains no keys. This is exactly Extent() == 0. More...
void | Statistics (Standard_OStream &S) const
| Prints on <S> usefull statistics about the map <me>. It can be used to test the quality of the hashcoding. More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BasicMap
| TCollection_BasicMap (const Standard_Integer NbBuckets, const Standard_Boolean single)
| Initialize the map. Single is True when the map uses only one table of buckets. More...
Standard_Boolean | BeginResize (const Standard_Integer NbBuckets, Standard_Integer &NewBuckets, Standard_Address &data1, Standard_Address &data2) const
| Tries to resize the Map with NbBuckets. Returns True if possible, NewBuckts is the new nuber of buckets. data1 and data2 are the new tables of buckets where the data must be copied. More...
void | EndResize (const Standard_Integer NbBuckets, const Standard_Integer NewBuckets, const Standard_Address data1, const Standard_Address data2)
| If BeginResize was succesfull after copying the data to data1 and data2 this methods update the tables and destroys the old ones. More...
Standard_Boolean | Resizable () const
| Returns True if resizing the map should be considered. More...
void | Increment ()
| Decrement the extent of the map. More...
void | Decrement ()
| Decrement the extent of the map. More...
void | Destroy ()
| Destroys the buckets. More...
Protected Attributes inherited from TCollection_BasicMap
Standard_Address | myData1
Standard_Address | myData2

## Constructor & Destructor Documentation

TColStd_DataMapOfStringInteger::TColStd_DataMapOfStringInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

TColStd_DataMapOfStringInteger::~TColStd_DataMapOfStringInteger | ( |  | ) |
| inline

## Member Function Documentation

TColStd_DataMapOfStringInteger& TColStd_DataMapOfStringInteger::Assign | ( | const TColStd_DataMapOfStringInteger & | Other | ) |

Standard_Boolean TColStd_DataMapOfStringInteger::Bind | ( | const TCollection_ExtendedString & | K,
|  | const Standard_Integer & | I
| ) |  |

Standard_Integer& TColStd_DataMapOfStringInteger::ChangeFind | ( | const TCollection_ExtendedString & | K | ) |

Standard_Address TColStd_DataMapOfStringInteger::ChangeFind1 | ( | const TCollection_ExtendedString & | K | ) |

void TColStd_DataMapOfStringInteger::Clear | ( |  | ) |

const Standard_Integer& TColStd_DataMapOfStringInteger::Find | ( | const TCollection_ExtendedString & | K | ) | const

Standard_Address TColStd_DataMapOfStringInteger::Find1 | ( | const TCollection_ExtendedString & | K | ) | const

Standard_Boolean TColStd_DataMapOfStringInteger::IsBound | ( | const TCollection_ExtendedString & | K | ) | const

const Standard_Integer& TColStd_DataMapOfStringInteger::operator() | ( | const TCollection_ExtendedString & | K | ) | const
| inline

Standard_Integer& TColStd_DataMapOfStringInteger::operator() | ( | const TCollection_ExtendedString & | K | ) |
| inline

TColStd_DataMapOfStringInteger& TColStd_DataMapOfStringInteger::operator= | ( | const TColStd_DataMapOfStringInteger & | Other | ) |
| inline

void TColStd_DataMapOfStringInteger::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_Boolean TColStd_DataMapOfStringInteger::UnBind | ( | const TCollection_ExtendedString & | K | ) |

The documentation for this class was generated from the following file:

- TColStd_DataMapOfStringInteger.hxx